import { PixelStreaming } from '@epicgames-ps/lib-pixelstreamingfrontend-ue5.3';
import { Application } from '@epicgames-ps/lib-pixelstreamingfrontend-ui-ue5.3';
import { Destroyable, Event as XEvent } from "xbsj-renderer/dist-node/xr-base-utils";
import { ESMsgWebSocketWrapper } from './ESMsgWebSocketWrapper';
export declare class ESUEViewer extends Destroyable {
    private _domOrDomId;
    private _options;
    private _ueevent;
    get ueevent(): XEvent<[{
        detail: string;
    }]>;
    private _closeEvent;
    get closeEvent(): XEvent<[{
        detail: string;
    }]>;
    private _errorEvent;
    get errorEvent(): XEvent<[{
        detail: string;
    }]>;
    private _videoinitedEvent;
    get videoinitedEvent(): XEvent<[{
        detail: string;
    }]>;
    debug: boolean;
    forceNotUseEsMsgWs: boolean;
    private uiInteractionCallbacks;
    private _url;
    private _container;
    get container(): HTMLElement;
    private _pixelStream;
    get pixelStream(): PixelStreaming;
    private _application;
    get application(): Application;
    private _esMsgWsWrapper?;
    private _esMsgWsWrapperInit;
    get esMsgWsWrapper(): ESMsgWebSocketWrapper | undefined;
    constructor(_domOrDomId: HTMLDivElement | string, _options: {
        url: string;
        esmsgWsUri?: string | undefined;
    });
    resolveCallback(text: string): boolean;
    processResponse(text: string): void;
    sendInputData(data: ArrayBuffer): void;
    emitUIInteraction(descriptor: any, callback: any): void;
    private get webRtcController();
    private _pixelStreamEmitUIInteractionAsString;
    emitUIInteractionForBigData(descriptor: any, callback: any): void;
    emitCommand(descriptor: object): void;
    getVideoSize(): {
        width: number;
        height: number;
    };
    resizeUEVideo(x: number, y: number): void;
}
